Subject: tree-sitter shows jit-lock-function error when i delete some code
From: vinurs <[email-masked]>
To: [email-masked]
Date: Sun, 15 Sep 2024 14:06:22 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am using the latest emacs-30 https://github.com/emacs-mirror/emacs/commit/81347c1aaf25b27e78e8beee4bc818ad2c4e1b71

The min configuration is as follows:

(add-to-list 'treesit-extra-load-path (expand-file-name "tree-sitter/" user-emacs-directory))

(add-to-list 'load-path "~/.emacs.d/site-lisp/clojure-ts-mode”)

(require 'clojure-ts-mode)

;; debug

(setq debug-on-quit t)

and I only use clojure-ts-mode package

cd ~/.emacs.d/site-lisp

git clone https://github.com/clojure-emacs/clojure-ts-mode.git

Then, after opening Emacs, Open the elong.clj file, go to line 115, select the entire build-inventory-check-failure-response function, and then delete this function. You'll notice that the remaining code is no longer highlighted. Then I found the following error output in the Message buffer:

Error during redisplay: (jit-lock-function 4221) signaled (wrong-type-argument number-or-marker-p nil) [2 times

------------

Sincerely,

Haiyuan Zhang, Vinurs